Name:           krd
# List of additional build dependencies
BuildRequires:  gcc-c++ libxml2-devel xorg-x11-server-sdk qt3 qt3-devel kdelibs3-devel
Version:        1.6
Release:        lp150.2.1
License:        GPL
Source:         krd-1.6.tar.bz
Group:          Productivity/Networking/Other
Summary:        Krd - Kde remote desktop manager

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This intend to be a wrapper for rdesktop and vnc capable of managing
all options in a simple way.
Moreover it permits to manage connections in an easy way with
copy&paste, sessions storing and template
creation.


%prep
%setup -q
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options

# Assume that the package is built by plain 'make' if there's no ./configure.
# This test is there only because the wizard doesn't know much about the
# package, feel free to clean it up
if test -x ./configure; then
	%configure --with-qt-libraries=/usr/lib/qt3/%_lib $configkde
fi
make

    

%install
. /etc/opt/kde3/common_options
make DESTDIR=%buildroot install

%suse_update_desktop_file -G "Remote Desktop Manager" %name System RemoteAccess
kde_post_install
%find_lang %name



# Write a proper %%files section and remove these two commands and
# the '-f filelist' option to %%files
#echo '%%defattr(-,root,root)' >filelist
#find %buildroot -type f -printf '/%%P*\n' >>filelist


%clean
rm -rf %buildroot

%files 
# -f filelist
%defattr(-,root,root)

# This is a place for a proper filelist:
/opt/kde3/bin/krd
/opt/kde3/share/applications/kde/krd.desktop
/opt/kde3/share/apps/krd/krdui.rc
/opt/kde3/share/doc/HTML/en/krd/common
/opt/kde3/share/doc/HTML/en/krd/index.cache.bz2
/opt/kde3/share/doc/HTML/en/krd/index.docbook
/opt/kde3/share/icons/hicolor/128x128/apps/krd.png
/opt/kde3/share/icons/hicolor/16x16/apps/krd.png
/opt/kde3/share/icons/hicolor/22x22/apps/krd.png
/opt/kde3/share/icons/hicolor/32x32/apps/krd.png
/opt/kde3/share/icons/hicolor/48x48/apps/krd.png
/opt/kde3/share/icons/hicolor/64x64/apps/krd.png
/opt/kde3/share/apps/krd
/opt/kde3/share/doc/HTML/en/krd

# You can also use shell wildcards:
# This installs documentation files from the top build directory
# into /usr/share/doc/...
# %doc README COPYING
# The advantage of using a real filelist instead of the '-f filelist' trick is
# that rpmbuild will detect if the install section forgets to install
# something that is listed here


%changelog
* Tue Jan 06 2009 zigrin@opensuse.us
- packaged krd version 1.6 using the buildservice spec file wizard
